Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## SEdit
Class SArrow

    java.lang.Object
      SEdit.SElement
          SEdit.SArrow

Direct Known Subclasses:
  LogicalLink, MobileLink, PetriLink, SimpleProcessLink, SimpleStateTransitionLink

    public class SArrow

extends SElement

The arrow element definition. It is decoupled from the actual graphical representation

Version:
  2.0

Field Summary
`protected SNode` | `origin`
`protected SNode` | `target`

Fields inherited from class SEdit.SElement
`comment, descriptor, element, id, label, persistent, structure`

Constructor Summary
`protected` | `SArrow()`

Method Summary
`void` | `delete()`
`SNode` | `getOrigin()`
`SNode` | `getTarget()`
`void` | `initGraphics(java.util.Hashtable properties)`
`boolean` | `isConnectable(SNode from, SNode to)` Check if the arrow itself is o.k. for connection
`void` | `setOrigin(SNode o)`
`void` | `setTarget(SNode o)`
`java.lang.String` | `toString()`

Methods inherited from class SEdit.SElement
`dump, getComment, getDescriptor, getGObject, getID, getLabel, getStructure, init, inspect, setComment, setDescriptor, setGObject, setID, setLabel, setStructure`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### origin

    protected SNode origin

### target

    protected SNode target

Constructor Detail

### SArrow

    protected SArrow()

Method Detail

### getOrigin

    public SNode getOrigin()

### getTarget

    public SNode getTarget()

### setOrigin

    public void setOrigin(SNode o)

### setTarget

    public void setTarget(SNode o)

### delete

    public void delete()

  Overrides:
    `delete` in class `SElement`

### initGraphics

    public void initGraphics(java.util.Hashtable properties)

  Specified by:
    `initGraphics` in class `SElement`

### isConnectable

    public boolean isConnectable(SNode from,
                                 SNode to)

  Check if the arrow itself is o.k. for connection

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.